<script>
	import $http from '@/utils/request.js'
	export default {
		globalData: {
			userInfo: {},
		},
		onLaunch: function() {
			uni.hideTabBar()
		},
		onShow: function() {
			this.updateManager()
		},
		methods: {
			updateManager() {
				const updateManager = uni.getUpdateManager();
				updateManager.onCheckForUpdate(res => {
					// 请求完新版本信息的回调
					// console.log(res.hasUpdate)
				})
				updateManager.onUpdateReady(() => {
					uni.showModal({
						title: '更新提示',
						content: '新版本已经准备好，即将重启应用',
						showCancel: false,
						success(res) {
							if (res.confirm) {
								// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
								updateManager.applyUpdate()
							}
						}
					})
				})
				updateManager.onUpdateFailed(() => {
					// 新的版本下载失败
					uni.showModal({
						title: '更新提示',
						content: '新版本下载失败',
						showCancel: false
					})
				})
			},
		}
	}
</script>

<style lang="scss">
	/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
	@import "@/uni_modules/uview-ui/index.scss";

	// 设置整个项目的背景色
	page {
		background-color: #F9F7F5;
		font-size: 14px;
		color: #333;
	}

	view {
		box-sizing: border-box;
		word-break: break-all;
	}

	.container {
		background-color: #fff;
		font-size: 14px;
		color: #333;
		padding: 10px;
	}

	.flex {
		display: flex;
		align-items: center;
		justify-content: center;
	}
	
	.ells{
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 2;
	}
	
	.ells-one{
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 1;
	}
	
	@font-face {
	    font-family: 'YouSheBiaoTiHei';
	    src: url('https://mp-public-test-1307117429.cos.ap-shanghai.myqcloud.com/YouSheBiaoTiHei.ttf');
	}
	
	// 只有在app.vue里面定义的keyframes才能在style里面使用
	@keyframes moveLeft {
		0% {
			-webkit-transform: translate3d(0, 0, 0);
			transform: translate3d(0, 0, 0);
		}
	
		100% {
			-webkit-transform: translate3d(-100%, 0, 0);
			transform: translate3d(-100%, 0, 0);
		}
	}
</style>
